Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class GroovyCollections

    java.lang.Object
      groovy.util.GroovyCollections

    public class GroovyCollections
    extends java.lang.Object

A Collections utility class

Authors:
  Paul King
  Jim White

Method Summary
`static java.util.List` | `combinations(java.lang.Object[] collections)` Finds all combinations of items from the given collections.
`static java.util.List` | `combinations(java.util.Collection collections)` Finds all combinations of items from the given collections.
`static java.lang.Object` | `max(java.lang.Object[] items)` Selects the maximum value found in an array of items, so min([2, 4, 6] as Object[]) == 6.
`static java.lang.Object` | `max(java.util.Collection items)` Selects the maximum value found in a collection
`static java.lang.Object` | `min(java.lang.Object[] items)` Selects the minimum value found in an array of items, so min([2, 4, 6] as Object[]) == 2.
`static java.lang.Object` | `min(java.util.Collection items)` Selects the minimum value found in a collection of items.
`static java.util.Set` | `subsequences(java.util.List items)` Finds all non-null subsequences of a list.
`static java.lang.Object` | `sum(java.lang.Object[] items)` Sums all the items from an array of items.
`static java.lang.Object` | `sum(java.util.Collection items)` Sums all the items from a collection of items.
`static java.util.List` | `transpose(java.lang.Object[] lists)` Transposes an array of lists.
`static java.util.List` | `transpose(java.util.List lists)` Transposes the given lists.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### combinations

    public static java.util.List combinations(java.lang.Object[] collections)

  Finds all combinations of items from the given collections.
  Parameters:
    `collections` - the given collections
  Returns:
    a List of the combinations found
  See Also:
    combinations(Collection)

### combinations

    public static java.util.List combinations(java.util.Collection collections)

  Finds all combinations of items from the given collections. So, `combinations([[true, false], [true, false]])` is `[[true, true], [false, true], [true, false], [false, false]]` and `combinations([['a', 'b'],[1, 2, 3]])` is `[['a', 1], ['b', 1], ['a', 2], ['b', 2], ['a', 3], ['b', 3]]`. If a non-collection item is given, it is treated as a singleton collection, i.e. `combinations([[1, 2], 'x'])` is `[[1, 'x'], [2, 'x']]`.
  Parameters:
    `collections` - the given collections
  Returns:
    a List of the combinations found

### max

    public static java.lang.Object max(java.lang.Object[] items)

  Selects the maximum value found in an array of items, so min([2, 4, 6] as Object[]) == 6.
  Parameters:
    `items` - an array of items
  Returns:
    the maximum value

### max

    public static java.lang.Object max(java.util.Collection items)

  Selects the maximum value found in a collection
  Parameters:
    `items` - a Collection
  Returns:
    the maximum value

### min

    public static java.lang.Object min(java.lang.Object[] items)

  Selects the minimum value found in an array of items, so min([2, 4, 6] as Object[]) == 2.
  Parameters:
    `items` - an array of items
  Returns:
    the minimum value

### min

    public static java.lang.Object min(java.util.Collection items)

  Selects the minimum value found in a collection of items.
  Parameters:
    `items` - a Collection
  Returns:
    the minimum value

### subsequences

    public static java.util.Set subsequences(java.util.List items)

  Finds all non-null subsequences of a list. E.g. `subsequences([1, 2, 3])` would be: [[1, 2, 3], [1, 3], [2, 3], [1, 2], [1], [2], [3]]
  Parameters:
    `items` - the List of items
  Returns:
    the subsequences from items

### sum

    public static java.lang.Object sum(java.lang.Object[] items)

  Sums all the items from an array of items.
  Parameters:
    `items` - an array of items
  Returns:
    the sum of the items

### sum

    public static java.lang.Object sum(java.util.Collection items)

  Sums all the items from a collection of items.
  Parameters:
    `items` - a collection of items
  Returns:
    the sum of the items

### transpose

    public static java.util.List transpose(java.lang.Object[] lists)

  Transposes an array of lists.
  Parameters:
    `lists` - the given lists
  Returns:
    a List of the transposed lists
  See Also:
    transpose(List)

### transpose

    public static java.util.List transpose(java.util.List lists)

  Transposes the given lists. So, `transpose([['a', 'b'], [1, 2]])` is `[['a', 1], ['b', 2]]` and `transpose([['a', 'b', 'c']])` is `[['a'], ['b'], ['c']]`.
  Parameters:
    `lists` - the given lists
  Returns:
    a List of the transposed lists

Groovy Documentation